Update Application

The Update Application API can be used to update an application that was already created. You can pass in all application parameters (and update the entire set of application data) or pass in only the parameters you want to update (and only update those parameters).


We strongly recommend to send the date value in "MM/DD/YYYY" format to avoid any issues with date representation.

Please note that each row in a variable of type Table must contain a unique string _id field.

Path Params
string
required

ID of application to update

Body Params

Request Body

metadata

Partial update for metadata as a key→value map.

  • Keys are strings up to 40 characters long.
  • Values can be string, number, boolean, or null (to delete the entry).
  • Up to 40 entries.
  • String values up to 500 characters.
string

Id of status to move application to

declineReasons
array of strings

Array of Decline Reasons

declineReasons
teamMembersIds
array of strings

Ids of team members assign application to

teamMembersIds
labelsIds
array of strings

Ids of labels assign to application

labelsIds
variables
object

A dynamic key-value store for custom variables associated with an application, borrower, intermediary

This field accepts flexible data types to accommodate diverse metadata:

  • Primitives: - Strings (e.g., "name") - Numbers (e.g., 123) - Booleans (e.g., true) - null to clear value from variable
  • Structured data: - Arrays for table variables - Objects for address variables

Note for ReadMe Testing: The ReadMe API Explorer form interface only supports primitive types (string, number, null) for manual input. To test array, object, boolean types, use direct API calls (e.g., cURL or Postman)

Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json